Summary:  AnyMeal is a free and open source recipe management software 
Name:     anymeal
License:  GPL-3.0-only
Version:  1.20
Release:  1%{?dist}

URL:      https://github.com/wedesoft/anymeal
Source0:  %{url}/releases/download/v%{version}/%{name}-%{version}.tar.xz
Source1:  %{url}/releases/download/v%{version}/%{name}-%{version}.tar.xz.asc

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  desktop-file-utils
BuildRequires:  flex
BuildRequires:  gcc-c++
BuildRequires:  gtest
BuildRequires:  libtool
BuildRequires:  libappstream-glib
BuildRequires:  recode-devel
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(Qt5)
BuildRequires:  pkgconfig(Qt5Designer)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5UiPlugin)

%description
AnyMeal is a free and open source recipe management software developed
using SQLite3 and Qt5. It can manage a cookbook with more than 250,000
MealMaster recipes, thereby allowing to import, export, search, display,
edit, and print them.

%define lang_subpkg() \
%package langpack-%{1}\
Summary:       %{2} language data for %{name}\
BuildArch:     noarch\
Requires:      %{name} = %{version}-%{release}\
Supplements:   (%{name} = %{version}-%{release} and langpacks-%{1})\
\
%description langpack-%{1}\
%{2} language data for %{name}.\
\
%files langpack-%{1}\
%{_datadir}/locale/%{1}/LC_MESSAGES/anymeal_qt.qm

%lang_subpkg de German
%lang_subpkg fr French
%lang_subpkg it Italian
%lang_subpkg nl Dutch

%prep
%autosetup 

%build

autoreconf -fi
%configure --disable-tests
%make_build

%install
%make_install

%check
# See if can use pre-compiled Google Test
# https://github.com/wedesoft/anymeal/issues/36
desktop-file-validate %{buildroot}/%{_datadir}/applications/de.wedesoft.%{name}.desktop
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/de.wedesoft.%{name}.appdata.xml

%files
%doc README.md
%doc ChangeLog
%license LICENSE
%{_bindir}/anymeal
%{_mandir}/man1/anymeal.1*
%{_datadir}/applications/de.wedesoft.%{name}.desktop
%{_metainfodir}/de.wedesoft.%{name}.appdata.xml
%{_datadir}/icons/hicolor/*/apps/*.png

%changelog
* Mon Oct 16 2023 Benson Muite <benson_muite@emailplus.org> - 1.20-1
- Initial packaging
